<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlTxBallbreakMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlTxBallbreakMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>TX ballbreak monitoring configuration.  
 <a href="structrl_tx_ballbreak_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:adba71f8e0a10fba6159cc98d68db972c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adba71f8e0a10fba6159cc98d68db972c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_ballbreak_mon_conf__t.html#adba71f8e0a10fba6159cc98d68db972c">reportMode</a></td></tr>
<tr class="memdesc:adba71f8e0a10fba6159cc98d68db972c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Report is sent every monitoring period without threshold check <br />
 1 Report is send only upon a failure (after checking for thresholds) <br />
 2 Report is sent every monitoring. <br />
. <br /></td></tr>
<tr class="separator:adba71f8e0a10fba6159cc98d68db972c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec415f5ca6308684a05b358fe4e2c428"><td class="memItemLeft" align="right" valign="top">rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_ballbreak_mon_conf__t.html#aec415f5ca6308684a05b358fe4e2c428">reserved0</a></td></tr>
<tr class="memdesc:aec415f5ca6308684a05b358fe4e2c428"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use.  <a href="#aec415f5ca6308684a05b358fe4e2c428">More...</a><br /></td></tr>
<tr class="separator:aec415f5ca6308684a05b358fe4e2c428"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20fff46a3ea48b06b9d674b285583007"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20fff46a3ea48b06b9d674b285583007"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_ballbreak_mon_conf__t.html#a20fff46a3ea48b06b9d674b285583007">reserved1</a></td></tr>
<tr class="memdesc:a20fff46a3ea48b06b9d674b285583007"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a20fff46a3ea48b06b9d674b285583007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5ad6eda6075131de2d8ef18ccd3bec7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab5ad6eda6075131de2d8ef18ccd3bec7"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_ballbreak_mon_conf__t.html#ab5ad6eda6075131de2d8ef18ccd3bec7">reserved2</a></td></tr>
<tr class="memdesc:ab5ad6eda6075131de2d8ef18ccd3bec7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ab5ad6eda6075131de2d8ef18ccd3bec7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>TX ballbreak monitoring configuration. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="aec415f5ca6308684a05b358fe4e2c428"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt8_t rlTxBallbreakMonConf_t::reserved0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reserved for Future use. </p>
<p>The TX reflection coefficient's magnitude for each enabled channel is compared against <br />
the threshold given here. The comparison result is part of the monitoring report <br />
message (Error bit is set if the measurement is lower than this threshold, with the <br />
units of both quantities being the same). <br />
1 LSB = 0.1 dB, signed number <br />
Valid range: -90 (TBD) to -250 <br />
Recommended value = TBD <br />
</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
